@import "reset";
@import "global";

$colBlue: #233245;
$colWhite: #ffffff;
$colGray: #dfdfdf;

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Montserrat', sans-serif;
    color: $colBlue;
    background-color: $colWhite;
    overflow: hidden;
}

.wrapper {
    padding: 1rem;
    text-align: center;
    overflow: hidden;

    width: 100vw;
    height: 100vh;
    display: grid;
    place-content: center;
    place-items: center;
    row-gap: 2rem;

    @include tablet-large {
        row-gap: 4rem;
    }

    h2 {
        font-size: 2rem;

        @include tablet-large {
            font-size: 4rem;
        }
    }

    .error {
        color: #e00c0c;
        font-style: italic;
    }

    form {
        display: grid;
        grid-template-columns: 1fr 3rem;
        grid-template-rows: 3rem;
        gap: 0.5rem;
        place-items: stretch;

        > input[type="password"] {
            display: inline-block;
            line-height: 3rem;
            padding: 0.3rem;
            border: none;
            border-bottom: 2px solid $colGray;
            background-color: transparent;
            color: $colBlue;
            text-align: center;
            font-size: 1.5rem;
            width: 100%;

            &:focus {
                border-color: $colBlue;
                outline: none;
            }

            &::placeholder {
                font-style: italic;
                color: rgba($colBlue, 0.15);
            }
        }

        > button {
            display: inline-block;
            border: none;
            border-radius: 0.3rem;
            background-color: $colBlue;
            color: $colWhite;
            font-size: 1.5rem;
            cursor: pointer;

            transition: transform 0.2s cubic-bezier(0.37, 0, 0.63, 1);

            &:focus, &:hover {
                outline: none;
                transform: rotateZ(-90deg);
            }
        }
    }
}